---
title: WebGL2RenderingContext.createQuery()
slug: Web/API/WebGL2RenderingContext/createQuery
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <code><strong>WebGL2RenderingContext.createQuery()</strong></code> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> creates and initializes {{domxref("WebGLQuery")}} objects, which provide ways to asynchronously query for information.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">WebGLQuery <var>gl</var>.createQuery();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("WebGLQuery")}} object.</p>

<h2 id="Examples">Examples</h2>

<p><code>gl</code> must be a {{domxref("WebGL2RenderingContext")}}. <code>WebGLQuery</code> objects are not available in WebGL 1.</p>

<pre class="brush: js">var query = gl.createQuery();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.12", "createQuery")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glGenQueries.xhtml", "glGenQueries")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.createQuery")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLQuery")}}</li>
</ul>
